#
# Conditional build:
%bcond_without  systemd # by default use systemd for session tracking instead of ConsoleKit (fallback to ConsoleKit on runtime)
#
Summary:	Window manager and application launcher for GNOME
Name:		gnome-shell
Version:	3.4.2
Release:	1
License:	GPL v2+
Group:		X11/Window Managers
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-shell/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	d1125998a0a89d625eef5e16bd774ef5
URL:		http://live.gnome.org/GnomeShell
BuildRequires:	NetworkManager-devel >= 0.8.999
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	clutter-devel >= 1.9.16
BuildRequires:	dbus-glib-devel
BuildRequires:	evolution-data-server-devel >= 3.1.90
BuildRequires:	folks-devel >= 0.6.1
BuildRequires:	gcr-devel >= 3.3.90
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	gjs-devel >= 1.31.10
BuildRequires:	glib2-devel >= 1:2.31.6
BuildRequires:	gnome-bluetooth-devel >= 3.1.0
BuildRequires:	gnome-desktop-devel >= 3.1.90
BuildRequires:	gnome-menus-devel >= 3.1.90
BuildRequires:	gobject-introspection-devel >= 0.10.1
BuildRequires:	gsettings-desktop-schemas-devel >= 3.1.90
BuildRequires:	gstreamer-devel >= 0.10.21
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.21
BuildRequires:	gtk+3-devel >= 3.3.9
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	intltool >= 0.40
BuildRequires:	json-glib-devel >= 0.13.90
BuildRequires:	libcanberra-devel
BuildRequires:	libcroco-devel >= 0.6.2
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libsoup-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel
BuildRequires:	mutter-devel >= 3.4.0
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	polkit-devel >= 0.100
BuildRequires:	pulseaudio-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	startup-notification-devel >= 0.11
%{?with_systemd:BuildRequires:	systemd-devel}
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.17.5
BuildRequires:	telepathy-logger-devel >= 0.2.4
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	at-spi2-atk >= 2.4.0
Requires:	caribou >= 0.3.5
Requires:	evolution-data-server >= 3.1.90
Requires:	gjs >= 1.31.10
Requires:	glib2 >= 1:2.31.6
Requires:	gnome-bluetooth-libs >= 3.1.0
Requires:	gnome-menus >= 3.1.90
Requires:	gnome-settings-daemon >= 3.1.90
Requires:	gsettings-desktop-schemas >= 3.1.90
Requires:	gtk+3 >= 3.3.9
Requires:	mutter >= 3.4.0
Requires:	nautilus >= 3.2.0
Requires:	telepathy-logger >= 0.2.4
Requires:	telepathy-mission-control
Suggests:	gnome-contacts >= 3.2.0
Suggests:	gnome-icon-theme-symbolic >= 3.0.0
Provides:	gdm-wm = 3.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Shell is the defining technology of the GNOME 3 desktop user
experience. It provides core interface functions like switching to
windows and launching applications. GNOME Shell takes advantage of the
capabilities of modern graphics hardware and introduces innovative
user interface concepts to provide a delightful and easy to use
experience.

%package apidocs
Summary:	GNOME Shell API documentation
Summary(pl.UTF-8):	Dokumentacja API GNOME Shell
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
This package provides GNOME Shell API documentation.

%description apidocs -l pl.UTF-8
Ten pakiet dostarcza dokumentację API GNOME Shell.

%package -n browser-plugin-%{name}
Summary:	gnome-shell plugin for WWW browsers
Summary(pl.UTF-8):	Wtyczka gnome-shell do przeglądarek WWW
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})
Provides:	mozilla-firefox-plugin-gnome-shell = %{version}-%{release}
Provides:	mozilla-plugin-gnome-shell = %{version}-%{release}
Obsoletes:	mozilla-firefox-plugin-gnome-shell < %{version}-%{release}
Obsoletes:	mozilla-plugin-gnome-shell < %{version}-%{release}

%description -n browser-plugin-%{name}
gnome-shell plugin for WWW browsers.

%description -n browser-plugin-%{name} -l pl.UTF-8
Wtyczka gnome-shell do przeglądarek WWW.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-ca-certificates=/etc/certs/ca-certificates.crt \
	--enable-gtk-doc \
	--disable-silent-rules \
	--disable-static \
	%{__enable_disable systemd systemd} \
	--with-html-dir=%{_gtkdocdir}
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome-shell/{extensions,search-providers}

%{__make} install \
	INSTALL="install -p" \
	install_sh="install -p" \
	DESTDIR=$RPM_BUILD_ROOT \
	mozillalibdir=%{_browserpluginsdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-shell/*.la \
	$RPM_BUILD_ROOT%{_browserpluginsdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnome-shell
%attr(755,root,root) %{_bindir}/gnome-shell-extension-prefs
%attr(755,root,root) %{_bindir}/gnome-shell-extension-tool
%attr(755,root,root) %{_libexecdir}/gnome-shell-calendar-server
%attr(755,root,root) %{_libexecdir}/gnome-shell-hotplug-sniffer
%attr(755,root,root) %{_libexecdir}/gnome-shell-perf-helper
%dir %{_libdir}/gnome-shell
%attr(755,root,root) %{_libdir}/gnome-shell/libgnome-shell.so
%attr(755,root,root) %{_libdir}/gnome-shell/libgnome-shell-js.so
%{_libdir}/gnome-shell/Gvc-1.0.typelib
%{_libdir}/gnome-shell/Shell-0.1.typelib
%{_libdir}/gnome-shell/ShellJS-0.1.typelib
%{_libdir}/gnome-shell/St-1.0.typelib
%{_datadir}/GConf/gsettings/gnome-shell-overrides.convert
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider.xml
%{_datadir}/dbus-1/services/org.gnome.Shell.CalendarServer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.HotplugSniffer.service
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.shell.evolution.calendar.gschema.xml
%{_datadir}/gnome-shell
%{_desktopdir}/gnome-shell.desktop
%{_desktopdir}/gnome-shell-extension-prefs.desktop
%{_mandir}/man1/gnome-shell.1*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/shell
%{_gtkdocdir}/st

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/libgnome-shell-browser-plugin.so
%changelog
* Sat Jul 21 2012 Łukasz Kieś <kiesiu@pld-linux.org> 0afa8d3
- updated to 3.4.2

* Fri Jul 13 2012 Elan Ruusamäe <glen@delfi.ee> d588dcc
- BR gtk-doc, patch by Przemo Firszt <przemo@firszt.eu>

* Tue Apr 17 2012 wrobell <wrobell@pld-linux.org> 223614d
- ver. 3.4.1

* Mon Apr 02 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 90f9906
- R: telepathy-mission-control, at-spi2-atk

* Sun Apr 01 2012 Marcin Banasiak <marcin.banasiak@gmail.com> d5cb8e8
- added dir for search providers

* Sat Mar 31 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5cf236a
- updated systemd bcond description

* Fri Mar 30 2012 Artur Frysiak <artur@frysiak.net> a633971
- enable systemd support by default (fallbak to ConsoleKit on runtime)
- rel. 2

* Wed Mar 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> a860f86
- updated to 3.4.0; merged from DEVEL
- added systemd bcond (off by default)

* Tue Mar 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e8c0ac
- release 2

* Fri Jan 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> db02910
- updated to 3.2.2.1

* Thu Jan 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 2493d74
- obsolete

* Thu Jan 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 2f558f7
- updated to 3.2.2
- removed browser-plugin-webkit.patch and extension-delete.patch (applied upstream)

* Wed Jan 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4e6ec64
- get rid of xulrunner dependency, BR gjs-devel >= 1.30.1, link against SpiderMonkey
- removed rpatch xulrunner hack
- rel. 7

* Thu Dec 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 720dc6e
- release 6

* Fri Dec 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 94e6208
- release 5

* Thu Dec 15 2011 Elan Ruusamäe <glen@pld-linux.org> c2b9eb0
- patch the extension delete as well

* Thu Dec 15 2011 Elan Ruusamäe <glen@pld-linux.org> 43e0fed
- fix extensions.gnome.org for webkit based browsers

* Fri Nov 18 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2148253
- R: nautilus, S: gnome-contacts
- release 3

* Mon Oct 24 2011 Artur Frysiak <artur@frysiak.net> f614e03
- provides gdm-wm (window manager used by gdm)
- rel. 2

* Tue Oct 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> 204bafc
- updated to 3.2.1

